/*
 * Insta_Spin.h
 *
 *  Created on: Aug 7, 2013
 *      Author: a0131604
 */

#ifndef INSTA_SPIN_H_
#define INSTA_SPIN_H_

#define GUI                                                 // GUI is to be defined to use the evm  with GUI
														    // GUI is not be defined if the evm is to be used in the stand-alone mode


void Init_InstaSpin();
void InstaSpin();


extern unsigned char 	START_UP_DUTY ;
extern unsigned int Measure_Speed;

extern unsigned int 	INTEGRATION_CONSTANT ;
extern unsigned char 	START_UP_DUTY;				//%
extern unsigned char 	START_UP_MAX_DUTY	;		//%
extern unsigned char 	INCREMENTAL_DUTY ;			//%
extern unsigned char 	INCREMENTAL_TIME ;			//mS
extern unsigned int 	WAIT_TIME ;				//mS
extern unsigned char 	SPEED_DUTY_MAX;			//%
extern unsigned char 	SPEED_DUTY_MIN ;			//%
extern unsigned char 	SPEED_RAMP_CYCLES ;



extern unsigned char 		Rotation,
							Proceed,
							Speed_Control,
							State,
							Fault_8313,
							Hysteritic_Control,
							Start_Braking ;
extern unsigned int 		Actual_Speed,
							Required_Speed;
extern unsigned int 		DC_Bus_Voltage,
							Speed_Duty_Cycle,
							Start_Max_Duty_Cycle;

#endif /* INSTA_SPIN_H_ */
